Comando sudo apt-get update não está funcionando

1. Comando sudo apt-get update não está funcionando

Diego de Castro Barcellos
diegocb81

(usa Ubuntu)

Enviado em 27/05/2021 - 09:08h

Bom dia,

Recentemente instalei o Docker e tive alguns problemas de conflito dele com o Postgresql, mesmo assim, consegui alterar a porta para 5431 e correu tudo bem. Porém, reparei que ao executar o sudo apt-get update, aparecia mensagem de arquivo duplicado do Docker na pasta /etc/apt/sources.list.d/ .

Ao acessar a pasta, vi que haviam vários arquivos repetidos, não só do Docker, mas de outros programas, porém, o mesmo nome de arquivo salvos com .save . Reparei que eram todos iguais e deletei os arquivos .save. Ao executar o comando sudo apt-get update recebi muitas mensagens de erro, copiei então os mesmos arquivos e fiz cópias .save .

Agora ao executar sudo apt-get update, surge a seguinte mensagem:

[email protected]:~$ sudo apt-get update
Atingido:1 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:2 https://download.docker.com/linux/ubuntu focal InRelease
Atingido:3 https://deb.nodesource.com/node_14.x focal InRelease
Atingido:4 http://packages.microsoft.com/repos/edge stable InRelease
Atingido:5 http://ppa.launchpad.net/maarten-fonville/android-studio/ubuntu focal InRelease
Atingido:6 http://apt.postgresql.org/pub/repos/apt focal-pgdg InRelease
Atingido:7 http://ppa.launchpad.net/sicklylife/filezilla/ubuntu focal InRelease
Atingido:8 http://ppa.launchpad.net/ubuntuhandbook1/apps/ubuntu focal InRelease
Atingido:9 https://ftp.postgresql.org/pub/pgadmin/pgadmin4/apt/focal pgadmin4 InRelease
Lendo listas de pacotes... Pronto
N: Skipping acquire of configured file 'main/binary-i386/Packages' as repository 'http://apt.postgresql.org/pub/repos/apt focal-pgdg InRelease' doesn't support architecture 'i386'

Alguém saberia dizer o que pode estar acontecendo e como devo proceder?

Muito obrigado desde já.


  


2. Re: Comando sudo apt-get update não está funcionando

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 27/05/2021 - 09:45h

doesn't support architecture 'i386' >>> acho que vc colocou uma fonte 32bits e seu linux é 64 bits



3. Re: Comando sudo apt-get update não está funcionando

Diego de Castro Barcellos
diegocb81

(usa Ubuntu)

Enviado em 27/05/2021 - 14:05h

Fala Clodoaldo, boa tarde!
Obrigado pelo retorno, então, de fato tem alguma falha no Postgres, mas o que me chamou a atenção é que antes, ao executar o sudo apt-get update, o sistema levava alguns bons segundos atualizando tudo, e reparei que agora é muito rápido, fiquei encucado se é normal aparecer daquela forma, exemplo:
Atingido:1 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:2 https://download.docker.com/linux/ubuntu focal InRelease
Atingido:3 https://deb.nodesource.com/node_14.x focal InRelease
O InRelease estaria confirmando que foi atualizado ou que está para atualizar mas não foi?
Minha ideia é desinstalar o pgAdmin4 e instalar novamente.
Grato novamente pela atenção e a prestatividade, abraço!


4. Re: Comando sudo apt-get update não está funcionando

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 27/05/2021 - 16:51h

-vá em programas/atualizações >> outros/programas >> desmarque/desative as fontes problemáticas >> tente atualizar novamente



5. Re: Comando sudo apt-get update não está funcionando

Diego de Castro Barcellos
diegocb81

(usa Ubuntu)

Enviado em 28/05/2021 - 07:03h

Bom dia Clodoaldo!
Consegui resolver a mensagem de erro do Postgres:
sudo -H gedit /etc/apt/sources.list.d/pgdg.list
Aí encontrei o seguinte:
deb http://apt.postgresql.org/pub/repos/apt focal-pgdg main
Alterei para:
deb [arch=amd64] http://apt.postgresql.org/pub/repos/apt focal-pgdg main
sudo apt-get update funcionando sem erros!
Obrigado pelo suporte, abraço!